Name:           ocaml-uri
Version:        1.9.1
Release:        %mkrel 4
Summary:        RFC3968 URI parsing library
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/mirage/ocaml-uri
Source0:        https://github.com/mirage/ocaml-uri/archive/v%{version}/ocaml-uri-%{version}.tar.gz
Patch0:		66c84419472d4e9a28eb695b10c39a49484f68ec.patch
Patch1:         43b7e8c9361825a2dbc7bde7a3db1725ac8f7220.patch
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-re-devel
BuildRequires:  ocaml-sexplib-devel >= 113.24.00
BuildRequires:  ocaml-stringext-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-ppx_sexp_conv-devel
BuildRequires:  ocaml-stringext-devel >= 1.4.0
BuildRequires:  ocaml-ounit-devel >= 1.0.2

%description
RFC3986 URI parsing library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q
%autopatch -p1

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

ocaml setup.ml -build
ocaml setup.ml -doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uri
ocaml setup.ml -install

%files
%doc README.md CHANGES
%dir %{_libdir}/ocaml/uri
%{_libdir}/ocaml/uri/META
%{_libdir}/ocaml/uri/*.cmi
%{_libdir}/ocaml/uri/*.cma
%{_libdir}/ocaml/uri/*.cmxs

%files devel
%doc etc/
%doc lib_test/
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/uri/*.a
%{_libdir}/ocaml/uri/*.cmxa
%{_libdir}/ocaml/uri/*.cmx
%{_libdir}/ocaml/uri/*.mli
%{_libdir}/ocaml/uri/*.ml
%{_libdir}/ocaml/uri/*.cmt
%{_libdir}/ocaml/uri/*.cmti
%{_libdir}/ocaml/uri/*.annot


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.9.1-4.mga6
+ Revision: 1056451
- Rebuild for fix in ocaml

* Tue Feb 23 2016 pterjan <pterjan> 1.9.1-3.mga6
+ Revision: 977446
- Add upstream patches for new sexplib

* Tue Feb 23 2016 pterjan <pterjan> 1.9.1-2.mga6
+ Revision: 977427
- Rebuild for new ocaml-re

* Thu Feb 18 2016 daviddavid <daviddavid> 1.9.1-1.mga6
+ Revision: 966574
- new version: 1.9.1
- use a %%{name}-%%{version} tarball
- add more Buildrequires
- update files list for devel subpackage

* Fri Feb 12 2016 umeabot <umeabot> 1.3.8-5.mga6
+ Revision: 956486
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-4.mga5
+ Revision: 743398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-3.mga5
+ Revision: 683122
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.8-2.mga4
+ Revision: 531160
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 blue_prawn <blue_prawn> 1.3.8-1.mga4
+ Revision: 462370
- build requires ocaml-compiler-libs
- updated to last version 1.3.8

* Fri May 03 2013 blue_prawn <blue_prawn> 1.3.6-1.mga4
+ Revision: 412038
- imported package ocaml-uri

